/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h>

typedef int (*FUNC)(int num, ...);
int func1(FUNC fp) {
   int retval;
   int j = 10;
   double d=30;
   
   retval = fp(0);
   retval = fp(1, j);
   retval = fp(2, j, d);
}
